Package org.apache.sling.junit.jupiter.osgi.impl

# Class ReflectionHelper

java.lang.Object
org.apache.sling.junit.jupiter.osgi.impl.ReflectionHelper

public class ReflectionHelper extends Object
Utility class used for resolving type-arguments to concrete types.

## Method Summary

Modifier and Type
Method
Description
`static Map<TypeVariable<?>,Type>`
`determineTypeArguments(@NotNull Class<?> clazz)`
`static @NotNull ParameterizedType`
`parameterizedTypeForBaseClass(@NotNull Class<?> baseClass, @NotNull Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### determineTypeArguments

public static Map<TypeVariable<?>,Type> determineTypeArguments(@NotNull @NotNull Class<?> clazz)

### parameterizedTypeForBaseClass

@NotNull public static @NotNull ParameterizedType parameterizedTypeForBaseClass(@NotNull @NotNull Class<?> baseClass, @NotNull @NotNull Class<?> clazz)